metadata:
    name: perf
    format: "Lava-Test Test Definition 1.0"
    description: "Perf is a profiler tool for Linux and is used to collect and analyze performance and trace data.
                  This test runs following perf commands: record(record events for later reporting), report(break
                  down events by process, function, etc), stat(obtain event counts) and test(Run sanity tests)."
    maintainer:
        - naresh.kamboju@linaro.org
        - milosz.wasilewski@linaro.org
    os:
        - openembedded
        - debian
    scope:
        - performance
    devices:
        - dragonboard410c
        - hi6220-hikey
        - juno
        - x15
        - x86
    environment:
        - lava-test-shell
params:
    SKIP_INSTALL: false

run:
    steps:
        - cd ./automated/linux/perf/
        - ./perf.sh -s "${SKIP_INSTALL}"
        - ../../utils/send-to-lava.sh ./output/result.txt
